//-----------------------------------------------------------------------------
// チェックボックス
//-----------------------------------------------------------------------------

#ifndef _NWCHECKBOX_H_
#define _NWCHECKBOX_H_

//-----------------------------------------------------------------------------
class NWCHECKBOX: public NWGRAPHIC {
protected:
	PNWBITMAP		pBitmap;
	NWRECT			sBMR;
	NWCHECKSTYLE	eStyle;
	int				bChecked;
	int				nGroup;
	int				bIntegralSize;
	
	NWCHECKBOX( void );
	void RadioExclusive( void );
public:
	NWCHECKBOX( PNWCONTROL pRootControl );
	~NWCHECKBOX( void );
	
	void SetStyle( NWCHECKSTYLE eNewStyle );
	NWCHECKSTYLE GetStyle( void );
	void SetChecked( int bCheck );
	int GetChecked( void );
	void SetGroup( int nNewGroup );
	int GetGroup( void );
	void SetIntegralSize( int bNew );
	int GetIntegralSize( void );
	
	int MsgPaint( PNWMESSAGE pMessage );
	int MsgMouseDown( PNWMESSAGE pMessage );
	int MsgMouseUp( PNWMESSAGE pMessage );
	int MsgMouseMove( PNWMESSAGE pMessage );
};
//-----------------------------------------------------------------------------
#endif
